from typing import List, Optional

from pydantic import BaseModel


class GraphColoringResponse(BaseModel):
    black: List[str]
    white: List[str]
    random: List[str]


class GraphColoringRequest(BaseModel):
    vertexes: List[str]
    edges: List[List[str]]
